org.eclipse.actf.model.ui

## Class ModelServiceSizeInfo

- java.lang.Object
- - org.eclipse.actf.model.ui.ModelServiceSizeInfo

    public class ModelServiceSizeInfo
    extends Object

ModelServiceSizeInfo stores size information of `IModelService`

### Constructor Summary

Constructors
Constructor and Description
`ModelServiceSizeInfo(int viewSizeX, int viewSizeY, int wholeSizeX, int wholeSizeY)` Constructor of the class

### Method Summary

Methods
`int` `getViewSizeX()`
`int` `getViewSizeY()`
`int` `getWholeSizeX()`
`int` `getWholeSizeY()`
`int[]` `toArray()` Convert to array {view size X, view size Y, whole size X, whole size Y}
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelServiceSizeInfo

    public ModelServiceSizeInfo(int viewSizeX,
                        int viewSizeY,
                        int wholeSizeX,
                        int wholeSizeY)

Constructor of the class

Parameters:
  `viewSizeX` - current visible view size (horizontal)
  `viewSizeY` - current visible view size (vertical)
  `wholeSizeX` - entire content size (horizontal)
  `wholeSizeY` - entire content size (vertical)

### Method Detail

#### getViewSizeX

    public int getViewSizeX()

Returns:
  view size X

#### getViewSizeY

    public int getViewSizeY()

Returns:
  view size Y

#### getWholeSizeX

    public int getWholeSizeX()

Returns:
  entire content size X

#### getWholeSizeY

    public int getWholeSizeY()

Returns:
  entire content size Y

#### toArray

    public int[] toArray()

Convert to array {view size X, view size Y, whole size X, whole size Y}

Returns:
  converted size information

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`